Makrodefinicja: Draw 2D Function

From FreeCAD Documentation
Revision as of 16:38, 23 May 2021 by Kaktus (talk | contribs) (Created page with "{{Macro |Name=Draw 2D Function |Icon=Macro_Draw_2D_Function.png |Description=Użyj go do narysowania funkcji opisanej ''równaniem [z=F(x)] (płaszczyzna Z-X)'' |Author=niezna...")
Jump to navigation Jump to search
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎polski • ‎svenska • ‎čeština

Macro Draw 2D Function.png Draw 2D Function

Description
Użyj go do narysowania funkcji opisanej równaniem [z=F(x)] (płaszczyzna Z-X)

Macro version: 1.0
Last modified: 2011-08-01
FreeCAD version: Wszystkie
Download: ikonka paska narzędzi
Author: nieznany
Author
nieznany
Download
ikonka paska narzędzi
Links
Macro Version
1.0
Date last modified
2011-08-01
FreeCAD Version(s)
Wszystkie
Default shortcut
None
See also
None

Opis

Użyj jej do narysowania funkcji opisanej równaniem [z=F(x)] (płaszczyzna Z-X). Przykład wykonany tutaj generuje parabolę. Nie ma okna dialogowego. Wymaga zdefiniowania:

F = zmienna używana w funkcji,

X = wartość początkowa x,

Nb = liczba kroków,
Z = funkcja wyrażona przez x
ZZ = funkcja wyrażona przez xx

Tworzenie skryptów

ToolBar Icon Macro Draw 2D Function.png

Macro_Draw_2D_Function.FCMacro

# F = variable used in the function,
# X = initial value of x,
# Nb = Number of step,
# Z = function express with x
# ZZ = function express with xx

import FreeCAD, FreeCADGui, Part
import math
F=800
X=-500
Nb=10
Step=1000/Nb
Y=0
for I in range(Nb):
	XX=X+Step 
 	Z=X*X/(4*F)
 	ZZ=XX*XX/(4*F)
 	if I==0:
 		print( "Le test est vrai !")
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))
 		WWire=Part.Wire([nomme])
 	else :
 		print( "Le test est 2 !")
 		nomme=Part.makeLine((X,Y,Z),(XX,Y,ZZ))		
 		WWire=Part.Wire([WWire,nomme])
 	X=XX 
 
Part.show(WWire)